/*
    Tucnak - VHF contest log
    Copyright (C) 2023 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __DAVAC5_H
#define __DAVAC5_H

#include <header.h>

#ifdef HAVE_HIDAPI
int davac5_init(struct cwdaemon*);
int davac5_open(struct cwdaemon* cwda, int verbose);
int davac5_free(struct cwdaemon*);
int davac5_reset(struct cwdaemon*);
int davac5_cw(struct cwdaemon*, int onoff);
int davac5_ptt(struct cwdaemon*, int onoff);
int davac5_ssbway(struct cwdaemon*, int onoff);


void usb_info(GString* gs);
unsigned short ftdi_checksum(unsigned char* eeprom, int eeprom_size);

#endif /* HAVE_HIDAPI */ 

#endif
